<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_0/wmo301/schema"
	xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_0/wmo315/schema">
	<!-- iWmo 3.0 CD041 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CD041" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD041"/>
	</xsl:template>

	<xsl:template match="wmo301:ToegewezenProduct" mode="CD041">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="wmo301:Product/iwmo:Code" />
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="wmo301:Omvang" />
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pRule">CD041</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct" mode="CD041">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="wmo315:Product/iwmo:Code" />
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="wmo315:Omvang" />
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pRule">CD041</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
