<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema">

	<!-- iwmo 2.4 CS323 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS323"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS323"/>
	</xsl:template>

	<xsl:template match="iwmo:DeclaratieFactuurBedrag/iwmo:Bedrag" mode="CS323">
		<xsl:call-template name="checkRelation">
			<xsl:with-param name="pOther" select="../../iwmo:BerekendBedrag/iwmo:Bedrag"/>
			<xsl:with-param name="pRelation">equalsLt</xsl:with-param>
			<xsl:with-param name="pRule" >
				CS323
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
