<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	>

	<!-- iWmo 3.0 CS331 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS331"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS331"/>
	</xsl:template>

	<xsl:template match="wmo303:IngediendeBedragPrestatie/iwmo:Eenheid" mode="CS331">
		<xsl:if test="translate(../../wmo303:ProductPeriode/iwmo:Begindatum/text(), '-', '') &gt;= 20190401">
			<xsl:call-template name="checknvalue">
				<xsl:with-param name="pValues">21,81</xsl:with-param>
				<xsl:with-param name="pRule">CS331</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="wmo304:IngediendeBedragPrestatie/iwmo:Eenheid" mode="CS331">
		<xsl:if test="translate(../../wmo304:ProductPeriode/iwmo:Begindatum/text(), '-', '') &gt;= 20190401">
			<xsl:call-template name="checknvalue">
				<xsl:with-param name="pValues">21,81</xsl:with-param>
				<xsl:with-param name="pRule">CS331</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
