<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_0/wmo323/schema"
>

    <!-- iWmo 3.0 TR335 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR335"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR335"/>
    </xsl:template>

    <xsl:template match="wmo323:Prestatie/wmo323:ProductPeriode/iwmo:Einddatum" mode="TR335">
        <xsl:call-template name="checkDateRelation">
            <xsl:with-param name="pDate" select="ancestor-or-self::wmo323:Declaratie/wmo323:DeclaratieDagtekening"/>
			<xsl:with-param name="pRelation">monthsAfter</xsl:with-param>
            <xsl:with-param name="pExtra">-60</xsl:with-param>
            <xsl:with-param name="pRule">TR335</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
