<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_0/wmo317/schema"
>

    <!-- iWmo 3.0 TR353 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR353"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR353"/>
    </xsl:template>

    <xsl:template match="wmo317:Verzoek" mode="TR353">
        <xsl:call-template name="checkvalue">
            <xsl:with-param name="pThis" select="wmo317:TeWijzigenProducten/wmo317:TeWijzigenProduct | wmo317:NieuweProducten/wmo317:NieuwProduct" />
            <xsl:with-param name="pValues">#</xsl:with-param>
            <xsl:with-param name="pExtra" select="." />
            <xsl:with-param name="pRule">TR353</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
