<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_0/wmo301/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	xmlns:wmo305="http://www.istandaarden.nl/iwmo/3_0/wmo305/schema"
	xmlns:wmo307="http://www.istandaarden.nl/iwmo/3_0/wmo307/schema"
	xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_0/wmo315/schema"
	>

	<!-- iWmo 3.0 CD005 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD005"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD005"/>
	</xsl:template>

	<xsl:template match="iwmo:Postcode" mode="CD005">
		<xsl:if test="not (ancestor-or-self::wmo304:Bericht)">
			<xsl:call-template name="checkempty">
				<xsl:with-param name="pOther" select="../iwmo:LandCode"/>
				<xsl:with-param name="pRule">CD005</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="iwmo:LandCode" mode="CD005">
		<xsl:if test="not (ancestor-or-self::wmo304:Bericht)">
			<xsl:call-template name="checkempty">
				<xsl:with-param name="pOther" select="../iwmo:Postcode"/>
				<xsl:with-param name="pRule">CD005</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
