<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
		    xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
		    >

    <!-- iWmo 3.0 CD062 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD062"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD062"/>
    </xsl:template>

    <xsl:template match="wmo303:IngediendeBedragPrestatie | wmo304:IngediendeBedragPrestatie" mode="CD062">
        <xsl:call-template name="checkimplication">
            <xsl:with-param name="pThis" select="iwmo:Eenheid"/>
            <xsl:with-param name="pValue1">83</xsl:with-param>
            <xsl:with-param name="pOther" select="iwmo:ProductTarief"/>
            <xsl:with-param name="pValue2"></xsl:with-param>
            <xsl:with-param name="pRule">CD062</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
