<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo305="http://www.istandaarden.nl/iwmo/3_0/wmo305/schema"
	xmlns:wmo307="http://www.istandaarden.nl/iwmo/3_0/wmo307/schema"
	>
	<!-- iWmo 3.0 CS058 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CS058" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS058"/>
	</xsl:template>

	<xsl:template match="wmo305:StartProduct/wmo305:StatusAanlevering" mode="CS058">
		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pValues">1,3</xsl:with-param>
			<xsl:with-param name="pRule">CS058</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
    <xsl:template match="wmo307:StopProduct/wmo307:StatusAanlevering" mode="CS058">
        <xsl:call-template name="checkvalue">
            <xsl:with-param name="pValues">1,3</xsl:with-param>
            <xsl:with-param name="pRule">CS058</xsl:with-param>
        </xsl:call-template>
    </xsl:template>
	
</xsl:stylesheet>
