<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	>

	<!-- iWmo 3.0 CS324 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS324"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS324"/>
	</xsl:template>

	<xsl:template match="wmo304:DeclaratieFactuurIdentificatie/iwmo:FactuurDagtekening" mode="CS324">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="../../wmo304:RetourHeader/iwmo:RetourDagtekening"/>
			<xsl:with-param name="pRule">CS324</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
