<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_0/wmo323/schema"
>

    <!-- iWmo 3.0 TR345 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR345"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR345"/>
    </xsl:template>

    <xsl:template match="wmo323:Prestatie[wmo323:Eenheid/text() = '83']" mode="TR345">
        <xsl:call-template name="checkRelation">
            <xsl:with-param name="pThis" select="wmo323:GeleverdVolume" />
            <xsl:with-param name="pOther" select="wmo323:IngediendBedrag/iwmo:Bedrag"/>
            <xsl:with-param name="pExtra" select="nonExistantNode" />
            <xsl:with-param name="pRelation">equals</xsl:with-param>
            <xsl:with-param name="pRule">TR345</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
